View Issue Details

IDProjectCategoryView StatusLast Update
0026855Open CASCADEOCCT:Modeling Algorithmspublic2016-04-20 15:51
Reporteremv Assigned Tobugmaster  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version6.9.1 
Target Version7.0.0Fixed in Version7.0.0 
Summary0026855: Draw commands to debug Boolean Operations Algorithm
DescriptionThis issue is intended for integration of Draw commands for debugging of the Boolean Operation Algorithm, for quick access to its internals and the results of its work.

These commands should serve only debug purposes and should not be used in tests.
Steps To ReproduceNot needed.
TagsNo tags attached.
Test case numberNot needed

Activities

git

2015-11-09 18:59

administrator   ~0047963

Branch CR26855 has been created by emv.

SHA-1: 29771c9185c11a6ec56662dffd1be95028e3d2e3


Detailed log of new commits:

Author: emv
Date: Mon Nov 9 18:50:15 2015 +0300

    0026855: Draw commands to debug Boolean Operations Algorithm
    
    The commands to debug BOA.
    These commands should serve only debug purposes and should not be used in tests.

git

2015-11-09 19:07

administrator   ~0047964

Branch CR26855 has been updated forcibly by emv.

SHA-1: 3c03ac180c80d02736e37f315bea9c550deb9164

emv

2015-11-09 19:10

developer   ~0047965

Git branch CR26855 is ready to be reviewed.

msv

2015-11-10 16:47

developer   ~0048016

bopnews command is duplicated in BOPTest_BOPCommands.cxx.

git

2015-11-10 17:08

administrator   ~0048017

Branch CR26855 has been updated by emv.

SHA-1: 93969b840c38f6370d52e17ba2141bc4af1ab538


Detailed log of new commits:

Author: emv
Date: Tue Nov 10 17:07:40 2015 +0300

    Removing old implementation of the duplicated bopnews command.

emv

2015-11-10 17:08

developer   ~0048018

Done. Please review.

msv

2015-11-10 17:27

developer   ~0048020

Reviewed.

apv

2015-11-11 15:57

tester   ~0048065

Dear BugMaster,

Branch CR26855 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 93969b840c38f6370d52e17ba2141bc4af1ab538

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MacOS: 146 (146 on master)
products component:
   Linux: 39 (39 on master)
   Windows: 0 (0 on master)

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 93104652 / 92266520 [+0.91%]
Total CPU difference: 19739.869999999777 / 19655.069999999847 [+0.43%]

Testing on Windows:
Total MEMORY difference: 58108234 / 58098316 [+0.02%]
Total CPU difference: 18192.150215598882 / 18063.542991198887 [+0.71%]

git

2016-04-17 14:23

administrator   ~0053160

Branch CR26855 has been deleted by kgv.

SHA-1: 93969b840c38f6370d52e17ba2141bc4af1ab538

Related Changesets

occt: master b1682e23

2015-11-09 15:50:15

emv


Committer: bugmaster Details Diff
0026855: Draw commands to debug Boolean Operations Algorithm

The commands to debug BOA.
These commands should serve only debug purposes and should not be used in tests.

Removing old implementation of the duplicated bopnews command.
Affected Issues
0026855
mod - src/BOPTest/BOPTest.cxx Diff File
mod - src/BOPTest/BOPTest.hxx Diff File
mod - src/BOPTest/BOPTest_BOPCommands.cxx Diff File
add - src/BOPTest/BOPTest_DebugCommands.cxx Diff File
mod - src/BOPTest/FILES Diff File
mod - tests/bugs/modalg_2/bug23008 Diff File

Issue History

Date Modified Username Field Change
2015-11-09 10:38 emv New Issue
2015-11-09 10:38 emv Assigned To => emv
2015-11-09 18:51 emv Status new => assigned
2015-11-09 18:51 emv Description Updated
2015-11-09 18:59 git Note Added: 0047963
2015-11-09 19:07 git Note Added: 0047964
2015-11-09 19:10 emv Note Added: 0047965
2015-11-09 19:10 emv Assigned To emv => msv
2015-11-09 19:10 emv Status assigned => resolved
2015-11-09 19:10 emv Steps to Reproduce Updated
2015-11-10 16:47 msv Note Added: 0048016
2015-11-10 16:47 msv Assigned To msv => emv
2015-11-10 16:47 msv Status resolved => assigned
2015-11-10 17:08 git Note Added: 0048017
2015-11-10 17:08 emv Note Added: 0048018
2015-11-10 17:08 emv Assigned To emv => msv
2015-11-10 17:08 emv Status assigned => resolved
2015-11-10 17:27 msv Note Added: 0048020
2015-11-10 17:27 msv Assigned To msv => bugmaster
2015-11-10 17:27 msv Status resolved => reviewed
2015-11-10 17:28 apv Assigned To bugmaster => apv
2015-11-11 15:02 apv Test case number => Not needed
2015-11-11 15:57 apv Note Added: 0048065
2015-11-11 15:57 apv Assigned To apv => bugmaster
2015-11-11 15:57 apv Status reviewed => tested
2015-11-13 11:53 bugmaster Changeset attached => occt master b1682e23
2015-11-13 11:53 bugmaster Status tested => verified
2015-11-13 11:53 bugmaster Resolution open => fixed
2016-04-17 14:23 git Note Added: 0053160
2016-04-20 15:42 aiv Fixed in Version => 7.0.0
2016-04-20 15:51 aiv Status verified => closed